# IRdSSEdgeWeightsStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumTriangles ([out, retval] RtDWORD *dwNumTripleIndices)
HRESULT | SetNumTriangles ([in] RtDWORD dwNum)
## Properties
RtFloat * | i ([in] RtDWORD dwIndex)`[get]`
RtFloat | i ([in] RtDWORD dwIndex)`[set]`
RtFloat * | j ([in] RtDWORD dwIndex)`[get]`
RtFloat | j ([in] RtDWORD dwIndex)`[set]`
RtFloat * | k ([in] RtDWORD dwIndex)`[get]`
RtFloat | k ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdTriangleEdgesStream:

- Stores edge weights for each triangle that are used during computation of subdivision surface.
- The stream is part of IRdMesh and is stored in Triangle stream group.
- Stream is identified by STREAMID_TRIANGLES_SSEDGEWEIGHTS id.

## Member Function Documentation

HRESULT IRdSSEdgeWeightsStream::GetNumTriangles | ( | [out, retval] RtDWORD * | dwNumTripleIndices | ) |

Get number of triangles.

Returns:
  dwNumTripleIndices [out, retval] Returns number of triangles found.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdSSEdgeWeightsStream::SetNumTriangles | ( | [in] RtDWORD | dwNum | ) |

Set number of triangles.

Parameters:

  | dwNum | [in] Number of triangles to set the stream to.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtFloat * IRdSSEdgeWeightsStream::i([in] RtDWORD dwIndex)`[get]`

Get weight for 1-2 edge of index-th triangle.

Parameters:

  | dwIndex | [in] Triangle index value.

Returns:
  pVal [out, retval] Returns weight for edge. (i).

  standard HRESULT processing can be applied to returned value.

RtFloat IRdSSEdgeWeightsStream::i([in] RtDWORD dwIndex)`[set]`

Set weight for 1-2 edge of index-th triangle.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] New weight value to apply to edge. (i).

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat * IRdSSEdgeWeightsStream::j([in] RtDWORD dwIndex)`[get]`

Get weight for 2-3 edge of index-th triangle.

Parameters:

  | dwIndex | [in] Triangle index value.

Returns:
  pVal [out, retval] Returns weight for edge. (j).

  standard HRESULT processing can be applied to returned value.

RtFloat IRdSSEdgeWeightsStream::j([in] RtDWORD dwIndex)`[set]`

Set weight for 2-3 edge of index-th triangle.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] New weight value to apply to edge. (j).

Returns:
  standard HRESULT processing can be applied to returned value.

RtFloat* IRdSSEdgeWeightsStream::k([in] RtDWORD dwIndex)`[get]`

Get weight for 3-1 edge of index-th triangle.

Parameters:

  | dwIndex | [in] Triangle index value.

Returns:
  pVal [out, retval] Returns weight for edge. (k).

  standard HRESULT processing can be applied to returned value.

RtFloat IRdSSEdgeWeightsStream::k([in] RtDWORD dwIndex)`[set]`

Set weight for 3-1 edge of index-th triangle.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] New weight value to apply to edge. (k).

Returns:
  standard HRESULT processing can be applied to returned value.